Skip to main content
POST
/
poll
/
v1
/
evaluations
/
candidate-recruitment
/
{evaluationId}
curl --request POST \ --url https://api-{region}.sesametime.com/poll/v1/evaluations/candidate-recruitment/{evaluationId} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "candidateId": "123e4567-e89b-12d3-a456-426614174000", "answers": [ { "questionId": "123e4567-e89b-12d3-a456-426614174001", "questionOptionIds": [ "123e4567-e89b-12d3-a456-426614174010" ], "comment": "Answer for radio question - single choice" }, { "questionId": "123e4567-e89b-12d3-a456-426614174002", "questionOptionIds": [ "123e4567-e89b-12d3-a456-426614174011", "123e4567-e89b-12d3-a456-426614174012" ], "comment": "Answer for check question - multiple choices" }, { "questionId": "123e4567-e89b-12d3-a456-426614174003", "answer": "The candidate demonstrates excellent communication skills and works well in team environments.", "comment": "Answer for text question - free text response" }, { "questionId": "123e4567-e89b-12d3-a456-426614174004", "answer": "8.5", "comment": "Answer for float question - numeric value" }, { "questionId": "123e4567-e89b-12d3-a456-426614174005", "questionOptionIds": [ "123e4567-e89b-12d3-a456-426614174015" ], "comment": "Answer for stars question - star rating" } ] } '
This response has no body data.

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Path Parameters

evaluationId
string<uuid>
required

Evaluation ID

Body

application/json

Recruitment evaluation that needs to be answered

answers
object[]

Array of answers for the evaluation questions

For choice-based questions (radio, check, faces, range, ranking, stars, organization_chart): questionOptionIds is required

candidateId
string<uuid>

Response